<template>
  <div class="Footer" :class="{ isBlack: isBlack }">
    <!--  <div class="left">
      © 2009-2019 smartai.com 版权所有 ICP证：45456566 公网安备 436435455号
    </div>
    <div class="right">
      <span class="label" @click="jump">关于我们</span>
      <span class="label">法律声明</span>
      <span class="label">隐私政策</span>
      <span class="label">廉正举报</span>
      <span class="label" @click="jump2">联系我们</span>
      <span class="label">加入我们</span>
    </div> -->
  </div>
</template>

<script>
export default {
  props: {
    isBlack: {
      type: Boolean,
      default: false,
    },
  },
  methods: {
    jump() {
      window.open("http://www.smartai.com/about");
    },
    jump2() {
      window.open("http://www.smartai.com/consult");
    },
  },
};
</script>

<style lang="scss" scoped>
.Footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-sizing: border-box;
  padding: 26px 20px;
  height: 100px;
  min-width: 1280px;
  background: #f3f5f8;

  .left {
    color: #666666;
    font-size: 12px;
    line-height: 24px;
    width: 305px;
  }

  .right {
    color: #666666;
    font-size: 12px;

    span {
      margin-left: 15px;
      cursor: pointer;
    }
  }

  &.isBlack {
    background: #252525;
    * {
      color: #9b9ea0;
    }
  }
}
</style>